tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: multiple version of packages with the same PKGBASE

 >> In pkgsrc there are a number of packages that have the same PKGBASE
 >> but different PKGPATH and versions.
 >> Is it normal?

> yes, probably. Though it would be nice if pkgsrc users could install
> all of apache13, apache20 and apache22.

IMHO such situation must be avoided, i.e. situations where different
packages have the same PKGBASE. This makes unnecessary problems in
upgrading. It is easy to justr change PKGNAME and many other packages
already do this (lang/pythonXX).

Coexisting of apache13, apache22 etc. is a different problem.

 >> If yes how these packages should be upgraded?

> Manually and very very carefully. The packages even fail to say "I'm
> apache-1.3.x, and I may only be updated to apache<2.0".
Why not to just fix PKGNAME and set CONFLICTS properly (until problem
of coexisting is fixed)?

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index